Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.demo
Class SearchFiles

    java.lang.Object
      org.apache.lucene.demo.SearchFiles

    public class SearchFiles

extends Object

Simple command-line based search demo.

Method Summary
`static void` | `doPagingSearch(BufferedReader in, IndexSearcher searcher, Query query, int hitsPerPage, boolean raw, boolean interactive)` This demonstrates a typical paging search scenario, where the search engine presents pages of size n to the user.
`static void` | `main(String[] args)` Simple command-line based search demo.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### main

    public static void main(String[] args)
                     throws Exception

  Simple command-line based search demo.

  Throws:
    `Exception`

### doPagingSearch

    public static void doPagingSearch(BufferedReader in,
                                      IndexSearcher searcher,
                                      Query query,
                                      int hitsPerPage,
                                      boolean raw,
                                      boolean interactive)
                               throws IOException

  This demonstrates a typical paging search scenario, where the search engine presents pages of size n to the user. The user can then go to the next page if interested in the next hits. When the query is executed for the first time, then only enough results are collected to fill 5 result pages. If the user wants to page beyond this limit, then the query is executed another time and all hits are collected.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.